Page MenuHomePhabricator

Elasticsearch OOM errors in MW vagrant
Closed, ResolvedPublic

Description

Hi, im not sure exactly when this problem started but noticed it today in the logs.

it seems that 256M is not fit for purpose (could be too much indexes?) not sure.

But increasing it to 512M worked.

Event Timeline

Paladox created this task.Dec 6 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2018, 6:08 PM

Maybe we could make this configurable? So that 256M is the default but allow users to override it?

Restricted Application added a project: Discovery-Search. · View Herald TranscriptDec 7 2018, 6:54 AM
dcausse added a subscriber: dcausse.EditedDec 13 2018, 11:19 AM

Using more RAM by default might be detrimental to most users given the fact that we set Xms to the value of Xmx. JAVA will always consume all the RAM we allow it to consume even if it's not needed.
I'd rather double check that the default we have is not suited for "normal operations" before trying to increase Xmx/Xms. As a CirrusSearch maintainer I'm fine tuning this myself by hand when needed.
Do you remember what kind of "elastic" work if any you were doing on this vagrant instance when it started to OOM?

EBjune triaged this task as Normal priority.Dec 18 2018, 7:00 PM
EBjune moved this task from needs triage to later on... on the Discovery-Search board.

Change 533240 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/vagrant@master] [elastic] increase Xmx to 512m

https://gerrit.wikimedia.org/r/533240

dcausse claimed this task.Aug 29 2019, 3:16 PM
dcausse moved this task from later on... to Current work on the Discovery-Search board.
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 533240 merged by jenkins-bot:
[mediawiki/vagrant@master] [elastic] increase Xmx to 512m

https://gerrit.wikimedia.org/r/533240

debt closed this task as Resolved.Sep 5 2019, 6:28 PM